Skip to content

Manage content in a multi-item workflow without completing an open workflow task. For example, you can use this endpoint to provide verdicts for specific items without completing the task. This endpoint does not support initiating task actions requiring eSignatures (where esignature is true).

POST/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/mdwmanagecontent
NameDescription
Content-Typeapplication/json
Acceptapplication/json (default) or application/xml
NameDescription
{task_id}The task id field value.

Controls with required=true in the Retrieve Workflow Task Action Details response can be provided. If a control (such as verdict) defines a set of required fields, those can also be provided. For example, a specific verdict may prompt for comments, reasons, or capacities.

In the body of the request, upload parameters as a JSON file. This request may include the following body parameters:

NameDescription
verdict_public_key__c
conditional
The verdict name. Retrieve possible verdict name values by sending a request to Retrieve Workflow Task Action Details.
reason__c
conditional
The reason name. Retrieve possible reason name values by sending a request to Retrieve Workflow Task Action Details.
capacity__c
conditional
The capacity name. Retrieve possible capacity name values by sending a request to Retrieve Workflow Task Action Details.
curl -X POST -H "Authorization: {SESSION_ID}" \ --data-binary @"manage-content.json" \ https://myvault.veevavault.com/api/v25.2/objects/objectworkflows/tasks/9626/actions/mdwmanagecontent

Example JSON Request Body: Multiple Verdicts

Section link for Example JSON Request Body: Multiple Verdicts
{ "contents__sys": [ { "object__v": "batch__v", "record_id__v": "0BA000000000101", "verdict_public_key__c": "verdict_not_approved__c", "verdict_not_approved_comment__c": "Needs to be redone." }, { "object__v": "batch__v", "record_id__v": "0BA000000002001", "verdict_public_key__c": "verdict_approved__c" }, { "object__v": "batch__v", "record_id__v": "0BA000000002002", "verdict_public_key__c": "verdict_not_approved__c", "verdict_not_approved_comment__c": "Does not meet standards." } ] }
{ "responseStatus": "SUCCESS" }

On SUCCESS, Vault modifies the contents in the multi-item workflow according to the JSON payload provided. Use Retrieve Workflow Task Action Details to confirm any changes to current_values. You must use Complete Multi-item Workflow Task to complete the open workflow task.